---
title: glab securefile get
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Get details of a project secure file. (GitLab 18.0 and later)

```plaintext
glab securefile get <fileID> [flags]
```

## Aliases

```plaintext
show
```

## Examples

```console
# Get details of a project's secure file using the file ID.
$ glab securefile get 1

# Get details of a project's secure file using the 'show' alias.
$ glab securefile show 1

```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
